Subject: [6lo] 2nd and short WGLC for draft-ietf-6lo-ap-nd-12

From: "Shwetha Bhandari (shwethab)" <[email-masked]>
Date: Fri, 12 Apr 2019 14:45:12 +0000

Hello All,

During the shepherd review concerns were raised by the shepherd(Shwetha) about redefinition of Crypto parameter option defined in RFC 3971. 
From a summary of changes b/n -11 & -12 by Pascal:
1.Authors agreed to change this and have published -12 with new ND options requests to be assigned by IANA.
2.In addition, authors have restored / simplified text on the Crypto-ID generation. The text now indicates to simply hash in CIPO with the hash function that is used to do the signature. 
3.The draft also proposes to use the crypto-ID as the index for safekeeping the public key (the whole CIPO in fact) as opposed to the key hash that was inherited from reusing RFC 3971 options.

We request the working group to review the changes closely, provide feedback and express their support to progress the draft.
Please consider this as a short WGLC that ends on April 22nd. We will evaluate consensus following April 22nd.

Thanks,
Carles and Shwetha

On 4/11/19, 7:05 AM, "[email-masked]" <[email-masked]> wrote:

    A New Internet-Draft is available from the on-line Internet-Drafts directories.
    This draft is a work item of the IPv6 over Networks of Resource-constrained Nodes WG of the IETF.
    
            Title           : Address Protected Neighbor Discovery for Low-power and Lossy Networks
            Authors         : Pascal Thubert
                              Behcet Sarikaya
                              Mohit Sethi
                              Rene Struik
    	Filename        : draft-ietf-6lo-ap-nd-12.txt
    	Pages           : 28
    	Date            : 2019-04-10
    
    Abstract:
       This document specifies an extension to 6LoWPAN Neighbor Discovery
       (ND) protocol defined in RFC6775 and updated in RFC8505.  The new
       extension is called Address Protected Neighbor Discovery (AP-ND) and
       it protects the owner of an address against address theft and
       impersonation attacks in a low-power and lossy network (LLN).  Nodes
       supporting this extension compute a cryptographic identifier (Crypto-
       ID) and use it with one or more of their Registered Addresses.  The
       Crypto-ID identifies the owner of the Registered Address and can be
       used to provide proof of ownership of the Registered Addresses.  Once
       an address is registered with the Crypto-ID and a proof-of-ownership
       is provided, only the owner of that address can modify the
       registration information, thereby enforcing Source Address
       Validation.

    The IETF datatracker status page for this draft is:
    https://datatracker.ietf.org/doc/draft-ietf-6lo-ap-nd/
    
    There are also htmlized versions available at:
    https://tools.ietf.org/html/draft-ietf-6lo-ap-nd-12
    https://datatracker.ietf.org/doc/html/draft-ietf-6lo-ap-nd-12
    
    A diff from the previous version is available at:
    https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-ap-nd-12

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    Internet-Drafts are also available by anonymous FTP at:
    ftp://ftp.ietf.org/internet-drafts/
    
    _______________________________________________
    6lo mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/6lo

---

From: "Shwetha Bhandari (shwethab)" <[email-masked]>
Date: Tue, 23 Apr 2019 16:23:16 +0000

Hello All,

Since there have been no objections to the changes made by the authors to draft-ietf-6lo-ap-nd in -12 version, we are ready to progress this to IESG review.

Thanks,
Carles & Shwetha

On 4/12/19, 8:15 PM, "Shwetha Bhandari (shwethab)" <[email-masked]> wrote:

    Hello All,

    
    Thanks,
    Carles and Shwetha

        
        
        Abstract: